<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-saksi-heading" data-cy="SaksiCreateUpdateHeading">Create or edit a Saksi</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_titel">Titel</label>
          <input type="text" class="form-control" name="titel" id="field_titel" data-cy="titel" formControlName="titel" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_komparisi">Komparisi</label>
          <input type="text" class="form-control" name="komparisi" id="field_komparisi" data-cy="komparisi" formControlName="komparisi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tts">Tts</label>
          <input type="text" class="form-control" name="tts" id="field_tts" data-cy="tts" formControlName="tts" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_recordStatus">Record Status</label>
          <input
            type="number"
            class="form-control"
            name="recordStatus"
            id="field_recordStatus"
            data-cy="recordStatus"
            formControlName="recordStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_notaris">Notaris</label>
          <select
            class="form-control"
            id="field_notaris"
            data-cy="notaris"
            name="notaris"
            formControlName="notaris"
            [compareWith]="compareNotaris"
          >
            <option [ngValue]="null"></option>
            @for (notarisOption of notarisesSharedCollection; track $index) {
              <option [ngValue]="notarisOption">{{ notarisOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
